// InformixDescription.h 
// Copyright (c) 1994, NeXT Software, Inc.  All rights reserved.
//

#import <EOAccess/EOAccess.h>
#import "InformixChannel.h"

// This category on the InformixChannel implements the methods involved in
// reading an EOModel from the database.

@interface InformixChannel (ModelDescription)

- (NSString *)informixTableNamesSQL;
    // Return the SQL statement for finding table names. Checks the user
    // default "InformixInformixTableNamesSQL" for an override SQL statement.
- (void)setInformixTableNamesSQL:(NSString *)sql;
    // Change the tableNamesSQL.
- (BOOL)readTypesForEntity:(EOEntity *)entity;
- (BOOL)readTypeForAttribute:(EOAttribute *)attribute;

- (NSArray *)describeEntities;
- (NSArray *)describeAttributesForEntity:(EOEntity *)entity;
- (NSArray *)describeRelationshipsForEntity:(EOEntity *)entity;

@end

